\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{conjugationtables}[2025/01/22 Conjugation Tables]

\LoadClass[12pt]{scrartcl}

\RequirePackage{kvoptions}

\SetupKeyvalOptions{
  family=ct,
  prefix=ct@
}

\DeclareStringOption{language}

\ProcessKeyvalOptions*

\RequirePackage[\ct@language]{babel}
\RequirePackage[margin=2cm]{geometry}
\RequirePackage{multicol}
\RequirePackage{tabularx}
\RequirePackage{tcolorbox}
\RequirePackage[table]{xcolor}
\RequirePackage{xifthen}
\RequirePackage{xparse}

\pagestyle{empty}
\renewcommand{\familydefault}{\sfdefault}
\rowcolors{1}{black!5!white}{white}

\newcommand*\conheadertitle{conjugation table}
\addto\captionsbrazilian{\def\conheadertitle{tabela de conjugação}}
\addto\captionsfrench{\def\conheadertitle{tableaux de conjugaison}}

\NewDocumentCommand{\conheader}{O{}O{}m}{%
\begin{center}
  {\large \conheadertitle}\\
  \vskip1ex
  {\phantom{(}\Huge \ifthenelse{\equal{#2}{}}{}{#2: } \textbf{#3} \ifthenelse{\equal{#1}{}}{}{(example: #1)}\phantom{)}}
\end{center}
}

\newtcolorbox{contable}[1]{before title={\setcounter{rownum}{0}}, title={\textbf{#1}\phantom{(}}, tabularx={l|X}}
